=== debian/control ===
Source: ros-humble-openni2-camera
Section: misc
Priority: optional
Maintainer: Michael Ferguson <mike@vanadiumlabs.com>
Build-Depends: debhelper (>= 9.0.0), libopenni2-dev, pkg-config, ros-humble-ament-cmake, ros-humble-builtin-interfaces, ros-humble-camera-info-manager, ros-humble-image-transport, ros-humble-rclcpp, ros-humble-rclcpp-components, ros-humble-rosidl-default-generators, ros-humble-sensor-msgs, ros-humble-ros-workspace, ros-humble-rosidl-typesupport-fastrtps-c, ros-humble-rosidl-typesupport-fastrtps-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-openni2-camera
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libopenni2-dev, ros-humble-builtin-interfaces, ros-humble-camera-info-manager, ros-humble-depth-image-proc, ros-humble-image-transport, ros-humble-rclcpp, ros-humble-rclcpp-components, ros-humble-rosidl-default-runtime, ros-humble-sensor-msgs, ros-humble-ros-workspace
Description: Drivers for the Asus Xtion and Primesense Devices.
 For using a kinect with ROS, try the freenect stack
